PTLib Version 2.12.9

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Classes | Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
PHTTPClientAuthentication Class Referenceabstract

`#include <http.h>`

Inheritance diagram for PHTTPClientAuthentication:
[legend]
Collaboration diagram for PHTTPClientAuthentication:
[legend]

## Classes
class | AuthObject

## Public Member Functions
| PHTTPClientAuthentication ()
virtual Comparison | Compare (const PObject &other) const
| Compare the two objects and return their relative rank. More...
virtual PBoolean | Parse (const PString &auth, PBoolean proxy)=0
virtual PBoolean | Authorise (AuthObject &pdu) const =0
virtual PBoolean | IsProxy () const
virtual PString | GetUsername () const
virtual PString | GetPassword () const
virtual PString | GetAuthRealm () const
virtual void | SetUsername (const PString &user)
virtual void | SetPassword (const PString &pass)
virtual void | SetAuthRealm (const PString &)
PString | GetAuthParam (const PString &auth, const char *name) const
PString | AsHex (PMessageDigest5::Code &digest) const
PString | AsHex (const PBYTEArray &data) const
Public Member Functions inherited from PObject
unsigned | GetTraceContextIdentifier () const
| Get PTRACE context identifier. More...
void | SetTraceContextIdentifier (unsigned id)
void | GetTraceContextIdentifier (PObject &obj)
void | GetTraceContextIdentifier (PObject *obj)
void | SetTraceContextIdentifier (const PObject &obj)
void | SetTraceContextIdentifier (const PObject *obj)
virtual | ~PObject ()
virtual PObject * | Clone () const
| Create a copy of the class on the heap. More...
template<class CLS >
CLS * | CloneAs () const
| As for Clone() but converts to specified type. More...
virtual PINDEX | HashFunction () const
| This function yields a hash value required by the `PDictionary` class. More...
virtual Comparison | CompareObjectMemoryDirect (const PObject &obj) const
| Determine the byte wise comparison of two objects. More...
bool | operator== (const PObject &obj) const
| Compare the two objects. More...
bool | operator!= (const PObject &obj) const
| Compare the two objects. More...
bool | operator< (const PObject &obj) const
| Compare the two objects. More...
bool | operator> (const PObject &obj) const
| Compare the two objects. More...
bool | operator<= (const PObject &obj) const
| Compare the two objects. More...
bool | operator>= (const PObject &obj) const
| Compare the two objects. More...
virtual const char * | GetClass (unsigned ancestor=0) const
| Get the current dynamic type of the object instance. More...
PBoolean | IsClass (const char *cls) const
virtual PBoolean | InternalIsDescendant (const char *clsName) const
| Determine if the dynamic type of the current instance is a descendent of the specified class. More...
__inline const PObject * | PTraceObjectInstance () const
virtual void | PrintOn (ostream &strm) const
| Output the contents of the object to the stream. More...
virtual void | ReadFrom (istream &strm)
| Input the contents of the object from the stream. More...

## Static Public Member Functions
static PHTTPClientAuthentication * | ParseAuthenticationRequired (bool isProxy, const PMIMEInfo &line, PString &errorMsg)
Static Public Member Functions inherited from PObject
static Comparison | InternalCompareObjectMemoryDirect (const PObject *obj1, const PObject *obj2, PINDEX size)
| Internal function caled from CompareObjectMemoryDirect() More...
static const char * | Class ()
| Get the name of the class as a C string. More...
static __inline const PObject * | PTraceObjectInstance (const char *)
static __inline const PObject * | PTraceObjectInstance (const PObject *obj)

## Protected Attributes
PBoolean | isProxy
PString | username
PString | password
Protected Attributes inherited from PObject
unsigned | m_traceContextIdentifier

## Additional Inherited Members
Public Types inherited from PObject
enum | Comparison { LessThan = -1, EqualTo = 0, GreaterThan = 1 }
| Result of the comparison operation performed by the `Compare()` function. More...
Protected Member Functions inherited from PObject
| PObject ()
| Constructor for PObject, made protected so cannot ever create one on its own. More...
Friends inherited from PObject

## Constructor & Destructor Documentation

PHTTPClientAuthentication::PHTTPClientAuthentication | ( |  | ) |

## Member Function Documentation

PString PHTTPClientAuthentication::AsHex | ( | PMessageDigest5::Code & | digest | ) | const

PString PHTTPClientAuthentication::AsHex | ( | const PBYTEArray & | data | ) | const

virtual PBoolean PHTTPClientAuthentication::Authorise | ( | AuthObject & | pdu | ) | const
| pure virtual

Implemented in PHTTPClientDigestAuthentication, and PHTTPClientBasicAuthentication.

virtual Comparison PHTTPClientAuthentication::Compare | ( | const PObject & | obj | ) | const
| virtual

Compare the two objects and return their relative rank.

This function is usually overridden by descendent classes to yield the ranking according to the semantics of the object.

The default function is to use the `CompareObjectMemoryDirect()` function to do a byte wise memory comparison of the two objects.

Returns
  `LessThan`, `EqualTo` or `GreaterThan` according to the relative rank of the objects.

Reimplemented from PObject.

Reimplemented in PHTTPClientDigestAuthentication, and PHTTPClientBasicAuthentication.

PString PHTTPClientAuthentication::GetAuthParam | ( | const PString & | auth,
|  | const char * | name
| ) |  | const

virtual PString PHTTPClientAuthentication::GetAuthRealm | ( |  | ) | const
| inline virtual

Reimplemented in PHTTPClientDigestAuthentication.

References PString::Empty().

virtual PString PHTTPClientAuthentication::GetPassword | ( |  | ) | const
| inline virtual

References password.

virtual PString PHTTPClientAuthentication::GetUsername | ( |  | ) | const
| inline virtual

References username.

virtual PBoolean PHTTPClientAuthentication::IsProxy | ( |  | ) | const
| inline virtual

References isProxy.

virtual PBoolean PHTTPClientAuthentication::Parse | ( | const PString & | auth,
|  | PBoolean | proxy
| ) |  |
| pure virtual

Implemented in PHTTPClientDigestAuthentication, and PHTTPClientBasicAuthentication.

static PHTTPClientAuthentication* PHTTPClientAuthentication::ParseAuthenticationRequired | ( | bool | isProxy,
|  | const PMIMEInfo & | line,
|  | PString & | errorMsg
| ) |  |
| static

virtual void PHTTPClientAuthentication::SetAuthRealm | ( | const PString & |  | ) |
| inline virtual

Reimplemented in PHTTPClientDigestAuthentication.

virtual void PHTTPClientAuthentication::SetPassword | ( | const PString & | pass | ) |
| inline virtual

References password.

virtual void PHTTPClientAuthentication::SetUsername | ( | const PString & | user | ) |
| inline virtual

References username.

## Member Data Documentation

PBoolean PHTTPClientAuthentication::isProxy
| protected

Referenced by IsProxy().

PString PHTTPClientAuthentication::password
| protected

Referenced by GetPassword(), and SetPassword().

PString PHTTPClientAuthentication::username
| protected

Referenced by GetUsername(), and SetUsername().

The documentation for this class was generated from the following file:

- http.h